[解决]Win10环境下RTX3080使用Pytorch或Tensorflow的环境配置

今天疯狂踩坑后的记录分享


报错信息

GeForce RTX 3080 with CUDA capability sm_86 is not compatible with the current PyTorch installation. The current PyTorch install supports CUDA capabilities sm_37 sm_50 sm_60 sm_61 sm_70 sm_75 compute_37.

解决方法

环境:Win10+Python3.6.12+CUDA11.1+Cudnn8.0.4

  1. CUDA11.1和Cudnn8.0.4从官网安装
  2. 使用conda install pytorch torchvision cudatoolkit=11 -c pytorch-nightly来安装pytorch
  3. 使用tensorflow的话 可以先conda install cudatoolkit=11 然后再pip install tensorflow-gpu==1.15
    先装好tf就无法安装cudatoolkit11,conda自带的是cudatoolkit10;
    先装好cudatoolkit11,再用conda装tf可能会报错,用pip不会
注意

由于需要cuda11的支持,因此向下兼容的原则不适用。

最新回复(0)
/jishuN8hh9leG0SMKGl0QD4VNDZ5QERkjOqZMVAHNPPKE5hw_3D4858172
8 简首页